org.apache.hadoop.mapreduce.v2.api.protocolrecords

## Interface GetTaskAttemptCompletionEventsResponse

- All Known Implementing Classes:
    GetTaskAttemptCompletionEventsResponsePBImpl

      public interface GetTaskAttemptCompletionEventsResponse

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllCompletionEvents(List<TaskAttemptCompletionEvent> eventList)`
    `void` | `addCompletionEvent(TaskAttemptCompletionEvent event)`
    `void` | `clearCompletionEvents()`
    `TaskAttemptCompletionEvent` | `getCompletionEvent(int index)`
    `int` | `getCompletionEventCount()`
    `List<TaskAttemptCompletionEvent>` | `getCompletionEventList()`
    `void` | `removeCompletionEvent(int index)`

- - ### Method Detail

    - #### getCompletionEventList

          List<TaskAttemptCompletionEvent> getCompletionEventList()

    - #### getCompletionEvent

          TaskAttemptCompletionEvent getCompletionEvent(int index)

    - #### getCompletionEventCount

          int getCompletionEventCount()

    - #### addAllCompletionEvents

          void addAllCompletionEvents(List<TaskAttemptCompletionEvent> eventList)

    - #### addCompletionEvent

          void addCompletionEvent(TaskAttemptCompletionEvent event)

    - #### removeCompletionEvent

          void removeCompletionEvent(int index)

    - #### clearCompletionEvents

          void clearCompletionEvents()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.